### Class

# Gegl Curve

since: 0.4

#### Description

    class Gegl.Curve : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 0.4

#### Ancestors

- GObject

#### Constructors

###### gegl_curve_new

Create a `GeglCurve` that can store a curve with values between `y_min` and `y_max`.

since: 0.4

###### gegl_curve_new_default

Create a default `GeglCurve` with an identify mapping of (0.0..1.0) -> (0.0..1.0).

since: 0.4

#### Instance methods

###### gegl_curve_add_point

Add a point to the curve at `x` `y` (replacing the value exactly for `x` if it already exists.

since: 0.4

###### gegl_curve_calc_value

Retrieve the number of points in the curve.

since: 0.4

###### gegl_curve_calc_values

Compute a set (lookup table) of coordinates.

since: 0.4

###### gegl_curve_duplicate

Create a copy of `curve`.

since: 0.4

###### gegl_curve_get_point

Retrive the coordinates for an index.

since: 0.4

###### gegl_curve_get_y_bounds

Get the bounds on the values of the curve and store the values in the return locaitons provided in `min_y` and `max_y`.

since: 0.4

###### gegl_curve_num_points

Retrieve the number of points in the curve.

since: 0.4

###### gegl_curve_set_point

Replace an existing point in a curve.

since: 0.4

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct GeglCurveClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.